Retrieve a sequence enrollment
GET/v1/sequences/{id}/enrollments/{enrollmentId}
Retrieves a single enrollment by its ID: the contact’s position in the cadence and its latest activity. Test-run enrollments are not returned.
Required scope: sequences:read
Rate limit category: Read
Retrieve a sequence enrollment
curl https://api.lightfield.app/v1/sequences/$ID/enrollments/$ENROLLMENT_ID \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "id",
"cancelledAt": "cancelledAt",
"completedAt": "completedAt",
"contactId": "contactId",
"currentStepId": "currentStepId",
"enrolledAt": "enrolledAt",
"enrolledBy": "enrolledBy",
"lastActivityAt": "lastActivityAt",
"lastActivityKind": "SENT",
"nextSendAt": "nextSendAt",
"remainingSends": -9007199254740991,
"repliedAt": "repliedAt",
"status": "ACTIVE"
}Returns Examples
{
"id": "id",
"cancelledAt": "cancelledAt",
"completedAt": "completedAt",
"contactId": "contactId",
"currentStepId": "currentStepId",
"enrolledAt": "enrolledAt",
"enrolledBy": "enrolledBy",
"lastActivityAt": "lastActivityAt",
"lastActivityKind": "SENT",
"nextSendAt": "nextSendAt",
"remainingSends": -9007199254740991,
"repliedAt": "repliedAt",
"status": "ACTIVE"
}